Class | ActiveMerchant::Billing::Integrations::Quickpay::Notification
In: | lib/active_merchant/billing/integrations/quickpay/notification.rb
Parent: | ActiveMerchant::Billing::Integrations::Notification

### Methods

acknowledge complete? currency generate_md5check generate_md5string gross gross_cents item_id received_at status test? transaction_id

### Constants

MD5_CHECK_FIELDS | = | [ :msgtype, :ordernumber, :amount, :currency, :time, :state, :chstat, :chstatmsg, :qpstat, :qpstatmsg, :merchant, :merchantemail, :transaction, :cardtype, :cardnumber, :testmode

### Public Instance methods

acknowledge()

Quickpay doesn‘t do acknowledgements of callback notifications Instead it uses and MD5 hash of all parameters

complete?()
currency()
generate_md5check()
generate_md5string()
gross()
gross_cents()
item_id()
received_at()
status()
test?()
transaction_id()

[Validate]